Package org.firebirdsql.gds.ng

## Interface FbDatabaseFactory

All Known Implementing Classes:
  `AbstractNativeDatabaseFactory`, `FbClientDatabaseFactory`, `FbEmbeddedDatabaseFactory`, `FbLocalDatabaseFactory`, `FbWireDatabaseFactory`

    public interface FbDatabaseFactory

Factory for `FbDatabase` instances.

A `FbDatabaseFactory` knows how to create connected (but unattached) instance of `FbDatabase` for a specific protocol type (eg wire protocol, embedded or native).

Since:
  3.0
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Abstract Methods
`FbDatabase` `connect​(IConnectionProperties connectionProperties)` Connects to a Firebird server based on the supplied connection properties.
`FbService` `serviceConnect​(IServiceProperties serviceProperties)` Connects to the service manager of a Firebird server with the supplied service properties.

### Method Detail

#### connect

    FbDatabase connect​(IConnectionProperties connectionProperties)
                throws java.sql.SQLException

Connects to a Firebird server based on the supplied connection properties.

The `FbDatabase` instance will be connected to the server, but is not yet attached.

Parameters:
  `connectionProperties` - Connection properties
Returns:
  Database instance
Throws:
  `java.sql.SQLException`

#### serviceConnect

    FbService serviceConnect​(IServiceProperties serviceProperties)
                      throws java.sql.SQLException

Connects to the service manager of a Firebird server with the supplied service properties.

Parameters:
  `serviceProperties` - Service properties
Returns:
  Service instance
Throws:
  `java.sql.SQLException`